org.eclipse.ecf.remoteservice.util

## Class ObjectSerializationUtil

- java.lang.Object
- - org.eclipse.ecf.remoteservice.util.ObjectSerializationUtil

Direct Known Subclasses:
  ObjectSerializationParameterDeserializer, ObjectSerializationResponseSerializer

    public class ObjectSerializationUtil
    extends Object

Since:
  8.1

### Field Summary

Fields
`static int` `DEFAULT_BAOS_BUFFER_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ObjectSerializationUtil()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `deserializeFromBytes(byte[] bytes)`
`byte[]` `readToByteArray(InputStream input)`
`byte[]` `serializeToBytes(Object object)`
`void` `writeByteArray(OutputStream outs, byte[] bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_BAOS_BUFFER_SIZE

    public static final int DEFAULT_BAOS_BUFFER_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### ObjectSerializationUtil

    public ObjectSerializationUtil()

### Method Detail

#### readToByteArray

    public byte[] readToByteArray(InputStream input)
                           throws IOException

Throws:
  `IOException`

#### writeByteArray

    public void writeByteArray(OutputStream outs,
                               byte[] bytes)
                        throws IOException

Throws:
  `IOException`

#### deserializeFromBytes

    public Object deserializeFromBytes(byte[] bytes)
                                throws IOException

Throws:
  `IOException`

#### serializeToBytes

    public byte[] serializeToBytes(Object object)
                            throws IOException

Throws:
  `IOException`